Aggregations

Retreive aggregate data based on the metric provided in the request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

Metric to query.
flow_stats/records_ingress: number of records in. flow_stats/records_egress: number of records out. flow_stats/bytes_ingress: number of bytes in. flow_stats/bytes_egress: number of bytes out.

Allowed:
string
required

unix epoch or relateve offset as a numeric prefix following by time unit (s, m, h, d, w, y). e.g. -1m or -2d

string

unix epoch or relateve offset as a numeric prefix following by time unit (s, m, h, d, w, y). e.g. -1m or -2d. leave empty string for now()

filters
object

property: value. property is one of [class, sourceId, destinationId]. value depends on property. Examples:

filters: {
  class: 'source',
}, // or
filters: {
  sourceId: 'c6b24198-6886-422f-8fc5-95eee00d25b0',
}

Filter values can contain wildcards. "!x" for NOT "x", "~x." for regex "x." and "!~x." for NOT regex "x.". Use "!" for not empty.

boolean

boolean. true to return value/sec instead of delta change. default is false

boolean

boolean. summarize cross metrics. default is false

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json